import org.climax.CLI;
import org.climax.CLIProcessResult;
import org.climax.reflect.CLIInterface;

/**
 * This demo does nothing but provides error messages and exit when there 
 * are any supplied command line arguments and prints a rather pointless 
 * message for --help. The purpose of this demo is provide a very minimal 
 * example of using Climax.
 */
public final class Simple {

	/**
	 * A {@code CLI} interface for the command line interface. 
	 */
	private interface simple extends CLI { 
	}

	/**
	 * Does nothing but provides error messages and exit when there are any 
	 * supplied command line arguments and prints a rather pointless message 
	 * for --help.
	 *   
	 * @param args the supplied command line arguments
	 */
	public static void main(final String[] args) {

		CLIInterface<simple> c = CLIInterface.getInstance(simple.class);
		
		simple s = c.newCLI();
		
		if (s.process(args, System.out, System.err) == CLIProcessResult.ERROR) {
			
			System.exit(1); 
		}
	}
	
	/**
	 * Constructs an instance of {@code Simple}. This constructor is 
	 * suppressed for noninstantiability outside this class.
	 */
	private Simple() {
	}
}
