/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * An object that indicates from the provided {@code ArgAcceptorContext} 
 * if an argument can be accepted.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ArgAcceptor {

	/**
	 * Indicates from the provided {@code ArgAcceptorContext} if an 
	 * argument can be accepted.
	 * 
	 * @param context the provided {@code ArgAcceptorContext}
	 * @return {@code true} if the argument can be accepted
	 */
	boolean canAccept(ArgAcceptorContext context);
}
