/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * The context for determining if an argument can be accepted.
 *   
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ArgAcceptorContext {

	/**
	 * Returns the arguments.
	 * 
	 * @return the arguments
	 */
	String[] getArguments();
	
	/**
	 * Returns the availability status of each argument.
	 * 
	 * @return the availability status of each argument
	 */
	boolean[] getArgumentsAvailability();
	
	/**
	 * Returns the index of the argument in question.
	 * 
	 * @return the index of the argument in question
	 */
	int getIndex();
}
