/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * An {@code ArgGroup} of the specified parsed argument type and its 
 * {@code ArgGroupDoc}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 *
 * @param <T> the specified parsed argument type
 */
public interface ArgGroupComplete<T> extends ArgGroup<T>, ArgGroupDoc {

	/**
	 * Indicates if the {@code ArgGroupComplete} instance is excluded from 
	 * documentation.
	 * 
	 * @return {@code true} if the 
	 * {@link org.climax.ArgGroupCompleteBuilder#hidden(boolean)} 
	 * method is set to {@code true}; otherwise {@code false}
	 */	
	boolean isHidden();
	
	/**
	 * Indicates if the {@code ArgGroupComplete} instance is excluded from 
	 * parsing.
	 * 
	 * @return {@code true} if the 
	 * {@link org.climax.ArgGroupCompleteBuilder#unused(boolean)} method
	 * is set to {@code true}; otherwise {@code false}
	 */
	boolean isUnused();
}
