/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys for an {@code ArgGroupDoc}'s
 * documentation properties.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class ArgGroupDocPropertyKeys {
	
	/** The property key for the argument type. */
	public static final String ARGUMENT_TYPE = "argumentType";
	/** The property key for the syntax for the {@code ArgGroup}. */
	public static final String SYNTAX = "syntax";

	/**
	 * Constructs an instance of {@code ArgGroupDocPropertyKeys} This 
	 * constructor is suppressed for noninstantiability outside this class.
	 */
	private ArgGroupDocPropertyKeys() {
	}
}
