/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * An object that parses an argument as an object of the specified parsed 
 * argument type.
 * 
 * @author Climax Development (climax.development@gmail.com)
 * 
 * @param <T> the specified parsed argument type 
 */
public interface ArgParser<T> {
	
	/**
	 * Parses an argument as an object of the specified parsed argument type.
	 * 
	 * @param arg the argument to be parsed
	 * 
	 * @return an object of the specified parsed argument type represented by 
	 * the argument
	 * 
	 * @throws ArgParserException if the argument is not parsable
	 */
	T parse(String arg) throws ArgParserException;
	
}
