/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import java.util.List;

/**
 * An {@code Args} and its {@code ArgsDoc}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ArgsComplete extends Args, ArgsDoc {

	/**
	 * Adds an {@code ArgGroupComplete} to this {@code ArgsComplete}.
	 * 
	 * @param argGroupComplete the provided {@code ArgGroupComplete}
	 */
	void addArgGroupComplete(
			final ArgGroupComplete<? extends Object> argGroupComplete);
	
	/**
	 * Returns an unmodifiable {@code List} of {@code ArgGroupComplete}s.
	 * 
	 * @return an unmodifiable {@code List} of {@code ArgGroupComplete}s
	 */	
	List<ArgGroupComplete<Object>> getArgGroupCompletes();
}
