/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys and property key prefixes 
 * for an {@code ArgsDoc}'s documentation properties.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class ArgsDocPropertyKeys {
	
	/** The property key prefix for an {@code ArgGroupDoc}'s property key. */
	public static final String ARGGROUPDOC_PREFIX = "argGroupDoc";
	/** The property key for the syntax for the {@code Args}. */
	public static final String SYNTAX = "syntax";

	/**
	 * Constructs an instance of {@code ArgsDocPropertyKeys}. This 
	 * constructor is suppressed for noninstantiability outside of this class.
	 */	
	private ArgsDocPropertyKeys() {
	}
}
