/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import java.util.List;

/**
 * An object that validates a {@code List} of arguments.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface ArgsValidator {

	/**
	 * Validates a {@code List} of arguments.
	 * 
	 * @param argList a {@code List} of arguments to be validated
	 * 
	 * @throws ArgsValidatorException if the arguments are invalid
	 */
	void validate(List<String> argList) throws ArgsValidatorException;
}
