/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * The result from processing the command line arguments. The constants 
 * of this enumerated type provide a simple classification of results 
 * from processing the command line arguments. 
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public enum CLIProcessResult {

	/** 
	 * A result indicating that an error has occurred when processing the 
	 * command line arguments. 
	 */
	ERROR,
	
	/**
	 * A result indicating that the help information was requested.
	 */
	HELP_REQUESTED,
	
	/**
	 * A result indicating that further processing of the command line 
	 * arguments can proceed. 
	 */
	PROCEED,
	
	/**
	 * A result indicating that the version information was requested.
	 */
	VERSION_REQUESTED;
}