/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys and property key prefixes for 
 * a {@code CLI}'s documentation properties.  
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class CLIPropertyKeys {
	
	/** The property key prefix for an {@code ArgGroupDoc}'s property key. */
	public static final String ARGGROUPDOC_PREFIX = "argGroupDoc";
	/** The property key prefix for an {@code ArgsDoc}'s property key. */
	public static final String ARGSDOC_PREFIX = "argsDoc";
	/** The property key prefix for an {@code OptionDoc}'s property key. */
	public static final String OPTIONDOC_PREFIX = "optionDoc";
	/** The property key prefix for an {@code OptionGroupDoc}'s property key. */
	public static final String OPTIONGROUPDOC_PREFIX = "optionGroupDoc";
	/** The property key prefix for an {@code OptionsDoc}'s property key. */
	public static final String OPTIONSDOC_PREFIX = "optionsDoc";
	/** The property key for the program description. */
	public static final String PROGRAM_DESCRIPTION = "programDescription";
	/** The property key for the program help information. */
	public static final String PROGRAM_HELP = "programHelp";
	/** The property key for the program name. */
	public static final String PROGRAM_NAME = "programName";
	/** The property key for the program usage. */
	public static final String PROGRAM_USAGE = "programUsage";
	/** The property key for the program version. */
	public static final String PROGRAM_VERSION = "programVersion";

	/**
	 * Constructs an instance of {@code CLIPropertyKeys}. This constructor is 
	 * suppressed for noninstantiability outside of this class.
	 */
	private CLIPropertyKeys() {
	}
}
