/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * A command line option.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface Option {
	
	/**
	 * Returns the name of this {@code Option}.
	 * 
	 * @return the name of this {@code Option}
	 */
	String getName();
	
	/**
	 * Returns the {@code OptionType} of this {@code Option}.
	 * 
	 * @return the {@code OptionType} of this {@code Option}
	 */
	OptionType getOptionType();
	
	/**
	 * Returns the {@code String} representation of this {@code Option} 
	 * as it would appear in the command line.
	 * 
	 * @return the {@code String} representation of this {@code Option} 
	 * as it would appear in the command line
	 */
	String toOptionString();
}
