/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * An {@code Option} and its {@code OptionDoc}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface OptionComplete extends Option, OptionDoc {

	/**
	 * Indicates if the {@code OptionDoc} is excluded from documentation.
	 * 
	 * @return {@code true} if the 
	 * {@link org.climax.OptionCompleteBuilder#hidden(boolean)} method is
	 * set to {@code true}; otherwise {@code false}
	 */	
	boolean isHidden();
	
	/**
	 * Indicates if the {@code Option} is excluded from parsing.
	 * 
	 * @return {@code true} if the 
	 * {@link org.climax.OptionCompleteBuilder#unused(boolean)} method 
	 * is set to {@code true}; otherwise {@code false}
	 */	
	boolean isUnused();
}
