/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * A builder for an {@code OptionComplete}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface OptionCompleteBuilder extends OptionDocBuilder {
	
	/**
	 * Builds a new {@code OptionComplete}.
	 * 
	 * @return a new {@code OptionComplete}
	 */
	OptionComplete buildOptionComplete();
	
	/**
	 * Sets the boolean value to indicate if the {@code OptionDoc} is 
	 * excluded from documentation.
	 * 
	 * @param b the provided boolean value to indicate if the 
	 * {@code OptionDoc} is excluded from documentation
	 * 
	 * @return this builder
	 */
	OptionCompleteBuilder hidden(final boolean b);
	
	@Override
	OptionCompleteBuilder ordinal(final int i);
	
	/**
	 * Sets the boolean value to indicate if the {@code Option} is excluded 
	 * from parsing.
	 * 
	 * @param b the provided boolean value to indicate if the 
	 * {@code Option} is excluded from parsing
	 * 
	 * @return this builder
	 */
	OptionCompleteBuilder unused(final boolean b);
	
	@Override	
	OptionCompleteBuilder usage(final String s);
}
