/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * The documentation for an {@code Option}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface OptionDoc extends Doc {
	
	/**
	 * Returns the {@code Option}.
	 * 
	 * @return the {@code Option}
	 */
	Option getOption();
	
	/**
	 * Returns the {@code OptionTypeDoc}.
	 * 
	 * @return the {@code OptionTypeDoc}
	 */
	OptionTypeDoc getOptionTypeDoc();
	
	/**
	 * Returns the ordinal of this {@code OptionDoc} in relation to 
	 * other {@code OptionDoc}s.
	 * 
	 * @return the ordinal of this {@code OptionDoc} in relation to 
	 * other {@code OptionDoc}s
	 */
	int getOrdinal();
	
	/**
	 * Returns the usage of the {@code Option}.
	 * 
	 * @return the usage of the {@code Option}
	 */
	String getUsage();
}
