/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys and property key prefixes for 
 * an {@code OptionDoc}'s documentation properties.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class OptionDocPropertyKeys {
	
	/** 
	 * The property key for the name of the {@code Option}. 
	 */
	public static final String NAME = "name";
	
	/** 
	 * The property key for the {@code Option} as it would appear in the 
	 * command line. 
	 */
	public static final String OPTION = "option";
	
	/** 
	 * The property key prefix for the {@code OptionTypeDoc}'s property 
	 * key.
	 */
	public static final String OPTIONTYPEDOC_PREFIX = "optionTypeDoc";
	
	/** 
	 * The property key for the usage of the {@code Option}. 
	 */
	public static final String USAGE = "usage";

	/**
	 * Constructs an instance of {@code OptionDocPropertyKeys}. This 
	 * constructor is suppressed for noninstantiability outside of this class.
	 */
	private OptionDocPropertyKeys() {
	}
}
