/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys and property key prefixes for 
 * an {@code OptionGroupDoc}'s documentation properties.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class OptionGroupDocPropertyKeys {

	/** 
	 * The property key for the description for the {@code OptionGroup}. 
	 */
	public static final String DESCRIPTION = "description";
	
	/** 
	 * The property key for the help information for the {@code OptionGroup}. 
	 */
	public static final String HELP = "help";
	
	/** 
	 * The property key prefix for an {@code OptionDoc}'s property key. 
	 */
	public static final String OPTIONDOC_PREFIX = "optionDoc";
	
	/** 
	 * The property key for the usage for the {@code OptionGroup}. 
	 */
	public static final String USAGE = "usage";

	/**
	 * Constructs an instance of {@code OptionGroupDocPropertyKeys}. This 
	 * constructor is suppressed for noninstantiability outside this class.
	 */
	private OptionGroupDocPropertyKeys() {
	}
}
