/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * A selection of an {@code Option} from the {@code OptionGroup} and the 
 * {@code Option}'s optional argument of the specified type.
 * 
 * @author Climax Development (climax.development@gmail.com)
 * 
 * @param <T> the specified type
 */
public interface OptionSelection<T> {

	/**
	 * Returns the argument.
	 * 
	 * @return the argument or {@code null} if the argument was not provided
	 */
	T getArgument();
	
	/**
	 * Returns the {@code Option}.
	 * 
	 * @return the {@code Option}
	 */
	Option getOption();
}
