/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * This class contains all of the property keys for an 
 * {@code OptionTypeDoc}'s documentation properties.  
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class OptionTypeDocPropertyKeys {
	
	/** 
	 * The property key for the assignment operator that assigns the argument 
	 * to right of the operator to the option to the left of the operator.
	 */
	public static final String ASSIGNMENT_OPERATOR = "assignmentOperator";

	/** 
	 * The property key for the delimiter that indicates that the argument is 
	 * a command line option of the {@code OptionType}.
	 */
	public static final String DELIMITER = "delimiter";

	/**
	 * Constructs an instance of {@code OptionTypeDocPropertyKeys}. This 
	 * constructor is suppressed for noninstantiability outside of this class.
	 */
	private OptionTypeDocPropertyKeys() {
	}
}
