/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import java.util.List;

/**
 * An {@code Options} and its {@code OptionsDoc}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public interface OptionsComplete extends Options, OptionsDoc {

	/**
	 * Adds an {@code OptionGroupComplete} to this {@code OptionsComplete}.
	 * 
	 * @param optionGroupComplete the provided {@code OptionGroupComplete} 
	 */
	void addOptionGroupComplete(
			final OptionGroupComplete<? extends Object> optionGroupComplete);
	
	/**
	 * Returns an unmodifiable {@code List} of {@code OptionComplete}s.
	 * 
	 * @return an unmodifiable {@code List} of {@code OptionComplete}s
	 */	
	List<OptionComplete> getOptionCompletes();	
	
	/**
	 * Returns an unmodifiable {@code List} of {@code OptionGroupComplete}s.
	 * 
	 * @return an unmodifiable {@code List} of {@code OptionGroupComplete}s
	 */
	List<OptionGroupComplete<Object>> getOptionGroupCompletes();	
}
