/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

/**
 * Thrown when one of the command line options is invalid or cannot be parsed 
 * or when their arguments are invalid or cannot be parsed.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public final class OptionsException extends Exception {

	/** The default serial version UID. */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructs an {@code OptionsException} with the specified detail 
	 * message.
	 * 
	 * @param message the detail message	
	 */
	public OptionsException(final String message) {
		super(message);
	}

	/**
	 * Constructs an {@code OptionsException} with the specified detail 
	 * message and the {@code Throwable} that was raised.
	 * 
	 * @param message the detail message
	 * 
	 * @param cause the {@code Throwable} that was raised
	 */
	public OptionsException(final String message, final Throwable cause) {
		super(message, cause);
	}
}
