/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.reflect;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Provides further specification of the {@code ArgsComplete}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 * 
 * @see ArgsCompleteInterface
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface ArgsCompleteSpec {
	
	/**
	 * The format string for the syntax for the {@code Args}.
	 * <p>
	 * The property keys that can be applied as expandable properties 
	 * within the provided format string are found in the 
	 * {@link org.climax.ArgsDoc#setSyntax(String)} method.
	 * </p> 
	 */	
	String syntax() default "";
}
