/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.reflect;

import org.climax.ArgAcceptorContext;
import org.climax.argacceptor.ParameterlessArgAcceptor;

/**
 * A dummy {@code ArgAcceptor} implementation. Throws an
 * {@code UnsupportedOperationException} when invoked.
 *  
 * @author Climax Development (climax.development@gmail.com)
 */
final class DummyArgAcceptor implements ParameterlessArgAcceptor {

	/**
	 * Constructs a {@code DummyArgAcceptor}.
	 */
	public DummyArgAcceptor() {
	}
	
	@Override
	public boolean canAccept(final ArgAcceptorContext context) {
		throw new UnsupportedOperationException();
	}

}
