/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.reflect;

import org.climax.ArgParserException;
import org.climax.argparser.ParameterlessArgParser;

/**
 * A dummy {@code ArgParser} implementation. Throws an
 * {@code UnsupportedOperationException} when invoked. 
 *  
 * @author Climax Development (climax.development@gmail.com)
 */
final class DummyArgParser implements ParameterlessArgParser<Object> {

	/**
	 * Constructs an {@code DummyArgParser}.
	 */
	public DummyArgParser() {
	}
	
	@Override
	public Object parse(final String arg) throws ArgParserException {
		throw new UnsupportedOperationException();
	}

}
