/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.reflect;

import java.util.List;

import org.climax.ArgsValidatorException;
import org.climax.argsvalidator.ParameterlessArgsValidator;

/**
 * A dummy {@code ArgsValidator} implementation. Throws an
 * {@code UnsupportedOperationException} when invoked.
 *  
 * @author Climax Development (climax.development@gmail.com)
 */
final class DummyArgsValidator implements ParameterlessArgsValidator {

	/**
	 * Constructs a {@code DummyArgsValidator}.
	 */
	public DummyArgsValidator() {
	}
	
	@Override
	public void validate(final List<String> argList) 
		throws ArgsValidatorException {
		
		throw new UnsupportedOperationException();
	}

}
