/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax.reflect;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indicates that the annotated method is a public, static, parameterless method
 * that returns an instance of the method's declaring class. This annotation is 
 * used for instantiating classes that implement  
 * {@code ParameterlessArgAcceptor}, {@code ParameterlessArgParser}, or
 * {@code ParameterlessArgsValidator}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface StaticFactory {
}
