/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import static org.junit.Assert.assertTrue;

import java.util.Arrays;
import java.util.List;

import org.junit.Test;

/**
 * JUnit Test Case for {@code Lists}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public class ListsTest {
	
	/**
	 * Test method for {@link org.climax.Lists#toString(java.util.List)}.
	 */
	@Test
	public final void testToStringListOfQ1() {
		
		List<String> l = Arrays.asList("");
		
		assertTrue(
				"Element is not enclosed by a grave accent and a single quote.",
				Lists.toString(l).matches("^`.*?'$"));
	}
	
	/**
	 * Test method for {@link org.climax.Lists#toString(java.util.List)}.
	 */
	@Test	
	public final void testToStringListOfQ2() {
		
		List<String> l = Arrays.asList("", "A");
		
		assertTrue(
				"Adjacent elements are not separated by a comma and a space", 
				Lists.toString(l).matches("^.*?, .*?$"));		
	}
	
	/**
	 * Test method for {@link org.climax.Lists#toString(java.util.List)}.
	 */
	@Test	
	public final void testToStringListOfQ3() {
		
		List<String> l = Arrays.asList("", "A", "Bob");
		
		assertTrue(
				"Adjacent elements are not separated by a comma and a space", 
				Lists.toString(l).matches("^.*?, .*?, .*?$"));		
	}
	
	/**
	 * Test method for {@link org.climax.Lists#toString(java.util.List)}.
	 */
	@Test	
	public final void testToStringListOfQ4() {
		
		List<String> l = Arrays.asList("", "A", "Bob", "123");
		
		assertTrue(
				"Adjacent elements are not separated by a comma and a space", 
				Lists.toString(l).matches("^.*?, .*?, .*?, .*?$"));		
	}

}
