/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * JUnit Test Case for {@code OptionType}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public class OptionTypeTest {

	/**
	 * Test method for {@link org.climax.OptionType#getAssignmentOperator()}.
	 */
	@Test
	public final void testGetAssignmentOperator01() {
		assertEquals("", OptionType.POSIX.getAssignmentOperator());
	}

	/**
	 * Test method for {@link org.climax.OptionType#getAssignmentOperator()}.
	 */
	@Test
	public final void testGetAssignmentOperator02() {
		assertEquals(" ", OptionType.GNU_SHORT_LONG.getAssignmentOperator());
	}

	/**
	 * Test method for {@link org.climax.OptionType#getAssignmentOperator()}.
	 */
	@Test
	public final void testGetAssignmentOperator03() {
		assertEquals("=", OptionType.GNU_LONG.getAssignmentOperator());
	}

	/**
	 * Test method for {@link org.climax.OptionType#getDelimiter()}.
	 */
	@Test
	public final void testGetDelimiter01() {
		assertEquals("-", OptionType.POSIX.getDelimiter());
	}

	/**
	 * Test method for {@link org.climax.OptionType#getDelimiter()}.
	 */
	@Test
	public final void testGetDelimiter02() {
		assertEquals("-", OptionType.GNU_SHORT_LONG.getDelimiter());
	}

	/**
	 * Test method for {@link org.climax.OptionType#getDelimiter()}.
	 */
	@Test
	public final void testGetDelimiter03() {
		assertEquals("--", OptionType.GNU_LONG.getDelimiter());
	}

}
