/*
 * Climax - A Java command line argument parser framework
 * Copyright (c) 2010-2013 Climax contributors
 * See the file LICENSE.txt for copying permission.
 */

package org.climax;

import static org.junit.Assert.assertEquals;

import java.util.Map;

import org.junit.Test;

/**
 * JUnit Test Case for {@code SystemDocImpl}.
 * 
 * @author Climax Development (climax.development@gmail.com)
 */
public class SystemDocImplTest {

	/**
	 * Test method for {@link org.climax.SystemDocImpl#getInstance()}.
	 */
	@Test
	public final void testGetInstance() {
		assertEquals(SystemDocImpl.getInstance(), SystemDocImpl.getInstance());
	}

	/**
	 * Test method for {@link org.climax.SystemDocImpl#getProperties()}.
	 */
	@Test
	public final void testGetProperties() {
		
		Map<Object, Object> systemProperties = System.getProperties();
		
		SystemDocImpl systemDocImpl = SystemDocImpl.getInstance();
		
		Map<String, String> systemDocImplProperties = 
				systemDocImpl.getProperties();
		
		for (Map.Entry<Object, Object> entry : systemProperties.entrySet()) {
			
			assertEquals(
					entry.getValue().toString(),
					systemDocImplProperties.get(entry.getKey().toString()));
		}
	}

	/**
	 * Test method for {@link 
	 * org.climax.SystemDocImpl#getSystemDocImplProperties()}.
	 */
	@Test
	public final void testGetSystemDocImplProperties() {
		
		Map<Object, Object> systemProperties = System.getProperties();
		
		Map<String, String> systemDocImplProperties = 
				SystemDocImpl.getSystemDocImplProperties();
		
		for (Map.Entry<Object, Object> entry : systemProperties.entrySet()) {
			
			assertEquals(
					entry.getValue().toString(),
					systemDocImplProperties.get(entry.getKey().toString()));
		}
	}

}
